#
# spec file for package wondershaper
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#Compat macro for new _fillupdir macro introduced in Nov 2017
%if ! %{defined _fillupdir}
  %define _fillupdir /var/adm/fillup-templates
%endif

Name:           wondershaper
Version:        1.1a
Release:        bp153.1.13
Summary:        Wondershaper is a QOS (Quality of Service) script.
License:        GPL-2.0+
Group:          Productivity/Networking/System
Url:            http://lartc.org/wondershaper/

Source0:        wondershaper-1.1a.tar.bz2
Source1:        sysconfig.wondershaper
Source2:        rcwondershaper
Patch0:         %{name}-%{version}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       iproute2
PreReq:         %fillup_prereq %insserv_prereq

%description
Many cablemodem and ADSL users experience horrifying latency while
uploading or downloading. They also notice that uploading hampers
downloading greatly. The wondershaper neatly addresses these issues,
allowing users of a router with a wondershaper to continue using SSH
over a loaded link happily.



Authors:
--------
    Bert Hubert <ahu@ds9a.nl>

%prep
%setup 
cp %{S:1} %{S:2} .
%patch0 -p1

%build

%install
mv wshaper wshaper.cbq
install -m 755 -d $RPM_BUILD_ROOT/usr/sbin
install -m 755 -d $RPM_BUILD_ROOT%{_fillupdir}
install -m 755 -d $RPM_BUILD_ROOT/etc/init.d
install -m 750 wshaper.* $RPM_BUILD_ROOT/usr/sbin/
install -m 644 sysconfig.wondershaper $RPM_BUILD_ROOT%{_fillupdir}/
install -m 755 rcwondershaper $RPM_BUILD_ROOT/etc/init.d/wondershaper
ln -sf ../../etc/init.d/wondershaper $RPM_BUILD_ROOT/usr/sbin/rcwondershaper

%post
%{fillup_only}

%preun
%stop_on_removal wondershaper

%postun
%restart_on_update wondershaper
%insserv_cleanup

%files
%defattr(-, root, root)
%doc COPYING ChangeLog README TODO VERSION
%config /etc/init.d/wondershaper
/usr/sbin/*
%{_fillupdir}/*

%changelog
* Thu Nov 23 2017 rbrown@suse.com
- Replace references to /var/adm/fillup-templates with new
  %%_fillupdir macro (boo#1069468)
* Thu Mar 30 2017 meissner@suse.com
- prereq %%insserv_prereq
* Sat Nov 15 2014 Led <ledest@gmail.com>
- fix bashism in rcwondershaper script
* Sun Oct  5 2014 jengelh@inai.de
- Remove unused/ancient rpm tags and section
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 29 2004 hvogel@suse.de
- fixed another bug in the init script status behaviour.
  (Bug #46425)
* Fri Aug 27 2004 lmuelle@suse.de
- Add WSHAPER_QDISC_TYPE variable to the sysconfig file and use HTB as
  default.
* Wed Apr 28 2004 hvogel@suse.de
- Do sanity checks only during starting. (Bug #39583)
* Tue Apr 27 2004 hvogel@suse.de
- fix sysconfig variable namings which made config nearly impossible
  (Bug #39464)
* Thu Mar 18 2004 hvogel@suse.de
- fix init script. There is now a default queue so status returned
  always running. (Bug #36510)
* Thu Nov 13 2003 hvogel@suse.de
- dont build as root
* Thu Aug 14 2003 hvogel@suse.de
- Add sysconfig activation metadata
* Thu Jul 31 2003 hvogel@suse.de
- use preun/postun service macros
* Thu Mar 13 2003 hvogel@suse.de
- cleaned patch. wshaper.htb had old variables (#25228)
* Tue Mar  4 2003 hvogel@suse.de
- added QOS kernel test
- fixed sysconfig metadata types
* Sun Jan 26 2003 hvogel@suse.de
- Removed need for src/dst variables reported by axboe
- Source sysconfig file in init script
* Fri Jan 17 2003 hvogel@suse.de
- fixed permissions of init script
- added new sysconfig scheme
* Mon Jan 13 2003 hvogel@suse.de
- Changed variable names to use the original wondershaper names
- Made the verbose rcwondershaper status output variable dependent.
* Thu Dec 19 2002 hvogel@suse.de
- Initial Package, Version 1.1a
